org.activiti.engine

## Class ActivitiWrongDbException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.activiti.engine.ActivitiException
        - - org.activiti.engine.ActivitiWrongDbException

- All Implemented Interfaces:
    Serializable

      public class ActivitiWrongDbException
      extends ActivitiException

  Exception that is thrown when the Activiti engine discovers a mismatch between the database schema version and the engine version. The check is done when the engine is created in `ProcessEngineBuilder#buildProcessEngine()`.
  Author:
    Tom Baeyens
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiWrongDbException(String libraryVersion, String dbVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDbVersion()` The version of the Activiti library that was used to create the database schema.
    `String` | `getLibraryVersion()` The version of the Activiti library used.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivitiWrongDbException

          public ActivitiWrongDbException(String libraryVersion,
                                          String dbVersion)

  - ### Method Detail

    - #### getLibraryVersion

          public String getLibraryVersion()

      The version of the Activiti library used.

    - #### getDbVersion

          public String getDbVersion()

      The version of the Activiti library that was used to create the database schema.

Copyright © 2016 Alfresco. All rights reserved.